summaryrefslogtreecommitdiff
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2015-09-30 15:20:06 -0700
committerGuy Harris <guy@alum.mit.edu>2015-09-30 22:21:20 +0000
commitdf7281064b33ef76ae3d38b4b7e13ac561ddb124 (patch)
tree0cd16964d42fe4af15dafcdfb645a2dbe54306d7 /macosx-setup.sh
parent7ba52b8e968ee5ec63f5d2dc7fca68666fe435c3 (diff)
downloadwireshark-df7281064b33ef76ae3d38b4b7e13ac561ddb124.tar.gz
Another big hammer to shut Apple's deprecation squealing up.
Change-Id: Ifeb37566468fca0afceab1d74baa23fd05a46057 Reviewed-on: https://code.wireshark.org/review/10711 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index f35491e046..f9db757c70 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -1301,7 +1301,10 @@ install_portaudio() {
# this build on an OS+Xcode with a pre-10.4 SDK; we don't
# worry about the user requesting that.)
#
- CFLAGS="$CFLAGS -mmacosx-version-min=10.4 $SDKFLAGS" CXXFLAGS="$CXXFLAGS -mmacosx-version-min=10.4 $SDKFLAGS" LDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" ./configure --disable-mac-universal || exit 1
+ # Explicitly disable deprecation, so the damn thing will build
+ # on El Capitan with Xcode 7.
+ #
+ CFLAGS="$CFLAGS -Wnodeprecated-declarations -mmacosx-version-min=10.4 $SDKFLAGS" CXXFLAGS="$CXXFLAGS -mmacosx-version-min=10.4 $SDKFLAGS" LDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" ./configure --disable-mac-universal || exit 1
make $MAKE_BUILD_OPTS || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..